// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.30.0
// 	protoc        v3.17.3
// source: common/def/summary.proto

package def

import (
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

type Summary struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	TestName                   string      `protobuf:"bytes,1,opt,name=test_name,json=testName,proto3" json:"test_name,omitempty"`
	TestSite                   string      `protobuf:"bytes,2,opt,name=test_site,json=testSite,proto3" json:"test_site,omitempty"`
	TestLine                   string      `protobuf:"bytes,3,opt,name=test_line,json=testLine,proto3" json:"test_line,omitempty"`
	Anomaly                    bool        `protobuf:"varint,4,opt,name=anomaly,proto3" json:"anomaly,omitempty"`
	Detail                     *TestDetail `protobuf:"bytes,5,opt,name=detail,proto3" json:"detail,omitempty"`
	DebugInfoUrl               string      `protobuf:"bytes,6,opt,name=debug_info_url,json=debugInfoUrl,proto3" json:"debug_info_url,omitempty"`
	ClientReportGenerationTime int64       `protobuf:"varint,7,opt,name=client_report_generation_time,json=clientReportGenerationTime,proto3" json:"client_report_generation_time,omitempty"`
	ServerReportReceivingTime  int64       `protobuf:"varint,8,opt,name=server_report_receiving_time,json=serverReportReceivingTime,proto3" json:"server_report_receiving_time,omitempty"`
}

func (x *Summary) Reset() {
	*x = Summary{}
	if protoimpl.UnsafeEnabled {
		mi := &file_common_def_summary_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *Summary) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Summary) ProtoMessage() {}

func (x *Summary) ProtoReflect() protoreflect.Message {
	mi := &file_common_def_summary_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Summary.ProtoReflect.Descriptor instead.
func (*Summary) Descriptor() ([]byte, []int) {
	return file_common_def_summary_proto_rawDescGZIP(), []int{0}
}

func (x *Summary) GetTestName() string {
	if x != nil {
		return x.TestName
	}
	return ""
}

func (x *Summary) GetTestSite() string {
	if x != nil {
		return x.TestSite
	}
	return ""
}

func (x *Summary) GetTestLine() string {
	if x != nil {
		return x.TestLine
	}
	return ""
}

func (x *Summary) GetAnomaly() bool {
	if x != nil {
		return x.Anomaly
	}
	return false
}

func (x *Summary) GetDetail() *TestDetail {
	if x != nil {
		return x.Detail
	}
	return nil
}

func (x *Summary) GetDebugInfoUrl() string {
	if x != nil {
		return x.DebugInfoUrl
	}
	return ""
}

func (x *Summary) GetClientReportGenerationTime() int64 {
	if x != nil {
		return x.ClientReportGenerationTime
	}
	return 0
}

func (x *Summary) GetServerReportReceivingTime() int64 {
	if x != nil {
		return x.ServerReportReceivingTime
	}
	return 0
}

type TestDetail struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	DownloadSpeed       uint64  `protobuf:"varint,1,opt,name=download_speed,json=downloadSpeed,proto3" json:"download_speed,omitempty"`
	BootstrapTime       float64 `protobuf:"fixed64,2,opt,name=bootstrap_time,json=bootstrapTime,proto3" json:"bootstrap_time,omitempty"`
	BootstrapPercentage uint64  `protobuf:"varint,3,opt,name=bootstrap_percentage,json=bootstrapPercentage,proto3" json:"bootstrap_percentage,omitempty"`
}

func (x *TestDetail) Reset() {
	*x = TestDetail{}
	if protoimpl.UnsafeEnabled {
		mi := &file_common_def_summary_proto_msgTypes[1]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *TestDetail) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*TestDetail) ProtoMessage() {}

func (x *TestDetail) ProtoReflect() protoreflect.Message {
	mi := &file_common_def_summary_proto_msgTypes[1]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use TestDetail.ProtoReflect.Descriptor instead.
func (*TestDetail) Descriptor() ([]byte, []int) {
	return file_common_def_summary_proto_rawDescGZIP(), []int{1}
}

func (x *TestDetail) GetDownloadSpeed() uint64 {
	if x != nil {
		return x.DownloadSpeed
	}
	return 0
}

func (x *TestDetail) GetBootstrapTime() float64 {
	if x != nil {
		return x.BootstrapTime
	}
	return 0
}

func (x *TestDetail) GetBootstrapPercentage() uint64 {
	if x != nil {
		return x.BootstrapPercentage
	}
	return 0
}

var File_common_def_summary_proto protoreflect.FileDescriptor

var file_common_def_summary_proto_rawDesc = []byte{
	0x0a, 0x18, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2f, 0x64, 0x65, 0x66, 0x2f, 0x73, 0x75, 0x6d,
	0x6d, 0x61, 0x72, 0x79, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x12, 0x18, 0x74, 0x6f, 0x72, 0x2e,
	0x70, 0x72, 0x6f, 0x62, 0x65, 0x75, 0x74, 0x69, 0x6c, 0x2e, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e,
	0x2e, 0x64, 0x65, 0x66, 0x22, 0xe2, 0x02, 0x0a, 0x07, 0x53, 0x75, 0x6d, 0x6d, 0x61, 0x72, 0x79,
	0x12, 0x1b, 0x0a, 0x09, 0x74, 0x65, 0x73, 0x74, 0x5f, 0x6e, 0x61, 0x6d, 0x65, 0x18, 0x01, 0x20,
	0x01, 0x28, 0x09, 0x52, 0x08, 0x74, 0x65, 0x73, 0x74, 0x4e, 0x61, 0x6d, 0x65, 0x12, 0x1b, 0x0a,
	0x09, 0x74, 0x65, 0x73, 0x74, 0x5f, 0x73, 0x69, 0x74, 0x65, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09,
	0x52, 0x08, 0x74, 0x65, 0x73, 0x74, 0x53, 0x69, 0x74, 0x65, 0x12, 0x1b, 0x0a, 0x09, 0x74, 0x65,
	0x73, 0x74, 0x5f, 0x6c, 0x69, 0x6e, 0x65, 0x18, 0x03, 0x20, 0x01, 0x28, 0x09, 0x52, 0x08, 0x74,
	0x65, 0x73, 0x74, 0x4c, 0x69, 0x6e, 0x65, 0x12, 0x18, 0x0a, 0x07, 0x61, 0x6e, 0x6f, 0x6d, 0x61,
	0x6c, 0x79, 0x18, 0x04, 0x20, 0x01, 0x28, 0x08, 0x52, 0x07, 0x61, 0x6e, 0x6f, 0x6d, 0x61, 0x6c,
	0x79, 0x12, 0x3c, 0x0a, 0x06, 0x64, 0x65, 0x74, 0x61, 0x69, 0x6c, 0x18, 0x05, 0x20, 0x01, 0x28,
	0x0b, 0x32, 0x24, 0x2e, 0x74, 0x6f, 0x72, 0x2e, 0x70, 0x72, 0x6f, 0x62, 0x65, 0x75, 0x74, 0x69,
	0x6c, 0x2e, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2e, 0x64, 0x65, 0x66, 0x2e, 0x54, 0x65, 0x73,
	0x74, 0x44, 0x65, 0x74, 0x61, 0x69, 0x6c, 0x52, 0x06, 0x64, 0x65, 0x74, 0x61, 0x69, 0x6c, 0x12,
	0x24, 0x0a, 0x0e, 0x64, 0x65, 0x62, 0x75, 0x67, 0x5f, 0x69, 0x6e, 0x66, 0x6f, 0x5f, 0x75, 0x72,
	0x6c, 0x18, 0x06, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0c, 0x64, 0x65, 0x62, 0x75, 0x67, 0x49, 0x6e,
	0x66, 0x6f, 0x55, 0x72, 0x6c, 0x12, 0x41, 0x0a, 0x1d, 0x63, 0x6c, 0x69, 0x65, 0x6e, 0x74, 0x5f,
	0x72, 0x65, 0x70, 0x6f, 0x72, 0x74, 0x5f, 0x67, 0x65, 0x6e, 0x65, 0x72, 0x61, 0x74, 0x69, 0x6f,
	0x6e, 0x5f, 0x74, 0x69, 0x6d, 0x65, 0x18, 0x07, 0x20, 0x01, 0x28, 0x03, 0x52, 0x1a, 0x63, 0x6c,
	0x69, 0x65, 0x6e, 0x74, 0x52, 0x65, 0x70, 0x6f, 0x72, 0x74, 0x47, 0x65, 0x6e, 0x65, 0x72, 0x61,
	0x74, 0x69, 0x6f, 0x6e, 0x54, 0x69, 0x6d, 0x65, 0x12, 0x3f, 0x0a, 0x1c, 0x73, 0x65, 0x72, 0x76,
	0x65, 0x72, 0x5f, 0x72, 0x65, 0x70, 0x6f, 0x72, 0x74, 0x5f, 0x72, 0x65, 0x63, 0x65, 0x69, 0x76,
	0x69, 0x6e, 0x67, 0x5f, 0x74, 0x69, 0x6d, 0x65, 0x18, 0x08, 0x20, 0x01, 0x28, 0x03, 0x52, 0x19,
	0x73, 0x65, 0x72, 0x76, 0x65, 0x72, 0x52, 0x65, 0x70, 0x6f, 0x72, 0x74, 0x52, 0x65, 0x63, 0x65,
	0x69, 0x76, 0x69, 0x6e, 0x67, 0x54, 0x69, 0x6d, 0x65, 0x22, 0x8d, 0x01, 0x0a, 0x0a, 0x54, 0x65,
	0x73, 0x74, 0x44, 0x65, 0x74, 0x61, 0x69, 0x6c, 0x12, 0x25, 0x0a, 0x0e, 0x64, 0x6f, 0x77, 0x6e,
	0x6c, 0x6f, 0x61, 0x64, 0x5f, 0x73, 0x70, 0x65, 0x65, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x04,
	0x52, 0x0d, 0x64, 0x6f, 0x77, 0x6e, 0x6c, 0x6f, 0x61, 0x64, 0x53, 0x70, 0x65, 0x65, 0x64, 0x12,
	0x25, 0x0a, 0x0e, 0x62, 0x6f, 0x6f, 0x74, 0x73, 0x74, 0x72, 0x61, 0x70, 0x5f, 0x74, 0x69, 0x6d,
	0x65, 0x18, 0x02, 0x20, 0x01, 0x28, 0x01, 0x52, 0x0d, 0x62, 0x6f, 0x6f, 0x74, 0x73, 0x74, 0x72,
	0x61, 0x70, 0x54, 0x69, 0x6d, 0x65, 0x12, 0x31, 0x0a, 0x14, 0x62, 0x6f, 0x6f, 0x74, 0x73, 0x74,
	0x72, 0x61, 0x70, 0x5f, 0x70, 0x65, 0x72, 0x63, 0x65, 0x6e, 0x74, 0x61, 0x67, 0x65, 0x18, 0x03,
	0x20, 0x01, 0x28, 0x04, 0x52, 0x13, 0x62, 0x6f, 0x6f, 0x74, 0x73, 0x74, 0x72, 0x61, 0x70, 0x50,
	0x65, 0x72, 0x63, 0x65, 0x6e, 0x74, 0x61, 0x67, 0x65, 0x42, 0x31, 0x5a, 0x2f, 0x67, 0x69, 0x74,
	0x68, 0x75, 0x62, 0x2e, 0x63, 0x6f, 0x6d, 0x2f, 0x78, 0x69, 0x61, 0x6f, 0x6b, 0x61, 0x6e, 0x67,
	0x77, 0x61, 0x6e, 0x67, 0x2f, 0x74, 0x6f, 0x72, 0x70, 0x72, 0x6f, 0x62, 0x65, 0x75, 0x74, 0x69,
	0x6c, 0x2f, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2f, 0x64, 0x65, 0x66, 0x62, 0x06, 0x70, 0x72,
	0x6f, 0x74, 0x6f, 0x33,
}

var (
	file_common_def_summary_proto_rawDescOnce sync.Once
	file_common_def_summary_proto_rawDescData = file_common_def_summary_proto_rawDesc
)

func file_common_def_summary_proto_rawDescGZIP() []byte {
	file_common_def_summary_proto_rawDescOnce.Do(func() {
		file_common_def_summary_proto_rawDescData = protoimpl.X.CompressGZIP(file_common_def_summary_proto_rawDescData)
	})
	return file_common_def_summary_proto_rawDescData
}

var file_common_def_summary_proto_msgTypes = make([]protoimpl.MessageInfo, 2)
var file_common_def_summary_proto_goTypes = []interface{}{
	(*Summary)(nil),    // 0: tor.probeutil.common.def.Summary
	(*TestDetail)(nil), // 1: tor.probeutil.common.def.TestDetail
}
var file_common_def_summary_proto_depIdxs = []int32{
	1, // 0: tor.probeutil.common.def.Summary.detail:type_name -> tor.probeutil.common.def.TestDetail
	1, // [1:1] is the sub-list for method output_type
	1, // [1:1] is the sub-list for method input_type
	1, // [1:1] is the sub-list for extension type_name
	1, // [1:1] is the sub-list for extension extendee
	0, // [0:1] is the sub-list for field type_name
}

func init() { file_common_def_summary_proto_init() }
func file_common_def_summary_proto_init() {
	if File_common_def_summary_proto != nil {
		return
	}
	if !protoimpl.UnsafeEnabled {
		file_common_def_summary_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*Summary); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_common_def_summary_proto_msgTypes[1].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*TestDetail); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_common_def_summary_proto_rawDesc,
			NumEnums:      0,
			NumMessages:   2,
			NumExtensions: 0,
			NumServices:   0,
		},
		GoTypes:           file_common_def_summary_proto_goTypes,
		DependencyIndexes: file_common_def_summary_proto_depIdxs,
		MessageInfos:      file_common_def_summary_proto_msgTypes,
	}.Build()
	File_common_def_summary_proto = out.File
	file_common_def_summary_proto_rawDesc = nil
	file_common_def_summary_proto_goTypes = nil
	file_common_def_summary_proto_depIdxs = nil
}
